> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://rockwell.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://rockwell.ferndocs.com/_mcp/server.

# Get PO Line Items

GET https://connect.plex.com/purchasing/v1/purchase-orders/{id}/lines

Retrieves all line items for a specific purchase order. Each line item represents a product or service being purchased.

Reference: https://rockwell.ferndocs.com/api-reference/purchase-orders-api/get-po-line-items

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Success Response

- `purchaseOrderId` (string, optional)
- `poNumber` (string, optional)
- `lines` (list of PurchasingV1PurchaseOrdersIdLinesGetResponsesContentApplicationJsonSchemaLinesItems, optional)
- `totalLines` (integer, optional)
- `subtotal` (integer, optional)
- `totalTax` (integer, optional)
- `grandTotal` (integer, optional)

## Errors

### 404 Not Found Error

Not Found

- `error` (PurchasingV1PurchaseOrdersIdLinesGetResponsesContentApplicationJsonSchemaError, optional)

## Types

### PurchasingV1PurchaseOrdersIdLinesGetResponsesContentApplicationJsonSchemaLinesItems

- `lineId` (string, optional)
- `lineNumber` (integer, optional)
- `accountId` (string, optional)
- `accountNumber` (string, optional)
- `description` (string, optional)
- `partNo` (string, optional)
- `partKey` (datetime, optional)
- `quantity` (integer, optional)
- `unit` (string, optional)
- `uoM` (string, optional)
- `rate` (integer, optional)
- `extendedAmount` (integer, optional)
- `taxCode` (string, optional)
- `taxAmount` (integer, optional)
- `department` (string, optional)
- `status` (string, optional)
- `receivedQuantity` (integer, optional)
- `remainingQuantity` (integer, optional)
- `expectedDeliveryDate` (datetime, optional)

### PurchasingV1PurchaseOrdersIdLinesGetResponsesContentApplicationJsonSchemaError

- `code` (string, optional)
- `message` (string, optional)
- `resourceId` (string, optional)
- `resourceType` (string, optional)

## Examples

**Response**

```json
{
  "purchaseOrderId": "123e4567-e89b-12d3-a456-426614174000",
  "poNumber": "PO-2026-001234",
  "lines": [
    {
      "lineId": "line-001",
      "lineNumber": 1,
      "accountId": "acc-12345",
      "accountNumber": "5000-100",
      "description": "Steel plates - Grade A36",
      "partNo": "STL-A36-0.25-48X96",
      "partKey": "2026-02-10T19:58:00.00Z",
      "quantity": 100,
      "unit": "EA",
      "uoM": "Each",
      "rate": 125,
      "extendedAmount": 12500,
      "taxCode": "STANDARD",
      "taxAmount": 625,
      "department": "Manufacturing",
      "status": "Open",
      "receivedQuantity": 0,
      "remainingQuantity": 100,
      "expectedDeliveryDate": "2026-03-12T00:00:00.00Z"
    },
    {
      "lineId": "line-002",
      "lineNumber": 2,
      "accountId": "acc-12346",
      "accountNumber": "5000-200",
      "description": "Welding wire - ER70S-6",
      "partNo": "WELD-ER70S6-035-25LB",
      "partKey": "2026-02-10T19:58:00.00Z",
      "quantity": 50,
      "unit": "BOX",
      "uoM": "Box",
      "rate": 50,
      "extendedAmount": 2500,
      "taxCode": "STANDARD",
      "taxAmount": 125,
      "department": "Manufacturing",
      "status": "Open",
      "receivedQuantity": 0,
      "remainingQuantity": 50,
      "expectedDeliveryDate": "2026-03-12T00:00:00.00Z"
    }
  ],
  "totalLines": 2,
  "subtotal": 15000,
  "totalTax": 750,
  "grandTotal": 15750
}
```

**SDK Code**

```python getPoLineItems_example
import requests

url = "https://connect.plex.com/purchasing/v1/purchase-orders/id/lines"

response = requests.get(url)

print(response.json())
```

```javascript getPoLineItems_example
const url = 'https://connect.plex.com/purchasing/v1/purchase-orders/id/lines';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getPoLineItems_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://connect.plex.com/purchasing/v1/purchase-orders/id/lines"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getPoLineItems_example
require 'uri'
require 'net/http'

url = URI("https://connect.plex.com/purchasing/v1/purchase-orders/id/lines")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java getPoLineItems_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://connect.plex.com/purchasing/v1/purchase-orders/id/lines")
  .asString();
```

```php getPoLineItems_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://connect.plex.com/purchasing/v1/purchase-orders/id/lines');

echo $response->getBody();
```

```csharp getPoLineItems_example
using RestSharp;

var client = new RestClient("https://connect.plex.com/purchasing/v1/purchase-orders/id/lines");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift getPoLineItems_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://connect.plex.com/purchasing/v1/purchase-orders/id/lines")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```